Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeReservedInstancesOfferingsRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.DescribeReservedInstancesOfferingsRequest

    public class DescribeReservedInstancesOfferingsRequest

extends AmazonWebServiceRequest

Container for the parameters to the `DescribeReservedInstancesOfferings operation`.

The DescribeReservedInstancesOfferings operation describes Reserved Instance offerings that are available for purchase. With Amazon EC2 Reserved Instances, you purchase the right to launch Amazon EC2 instances for a period of time (without getting insufficient capacity errors) and pay a lower usage rate for the actual time used.

See Also:
  `AmazonEC2.describeReservedInstancesOfferings(DescribeReservedInstancesOfferingsRequest)`

Constructor Summary
`DescribeReservedInstancesOfferingsRequest()`

Method Summary
`String` | `getAvailabilityZone()` The Availability Zone in which the Reserved Instance can be used.
`String` | `getInstanceType()` The instance type on which the Reserved Instance can be used.
`String` | `getProductDescription()` The Reserved Instance product description.
`List<String>` | `getReservedInstancesOfferingIds()` An optional list of the unique IDs of the Reserved Instance offerings to describe.
`void` | `setAvailabilityZone(String availabilityZone)` The Availability Zone in which the Reserved Instance can be used.
`void` | `setInstanceType(String instanceType)` The instance type on which the Reserved Instance can be used.
`void` | `setProductDescription(String productDescription)` The Reserved Instance product description.
`void` | `setReservedInstancesOfferingIds(Collection<String> reservedInstancesOfferingIds)` An optional list of the unique IDs of the Reserved Instance offerings to describe.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeReservedInstancesOfferingsRequest` | `withAvailabilityZone(String availabilityZone)` The Availability Zone in which the Reserved Instance can be used.
`DescribeReservedInstancesOfferingsRequest` | `withInstanceType(String instanceType)` The instance type on which the Reserved Instance can be used.
`DescribeReservedInstancesOfferingsRequest` | `withProductDescription(String productDescription)` The Reserved Instance product description.
`DescribeReservedInstancesOfferingsRequest` | `withReservedInstancesOfferingIds(Collection<String> reservedInstancesOfferingIds)` An optional list of the unique IDs of the Reserved Instance offerings to describe.
`DescribeReservedInstancesOfferingsRequest` | `withReservedInstancesOfferingIds(String... reservedInstancesOfferingIds)` An optional list of the unique IDs of the Reserved Instance offerings to describe.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeReservedInstancesOfferingsRequest

    public DescribeReservedInstancesOfferingsRequest()

Method Detail

### getReservedInstancesOfferingIds

    public List<String> getReservedInstancesOfferingIds()

  An optional list of the unique IDs of the Reserved Instance offerings to describe.

  Returns:
    An optional list of the unique IDs of the Reserved Instance offerings to describe.

### setReservedInstancesOfferingIds

    public void setReservedInstancesOfferingIds(Collection<String> reservedInstancesOfferingIds)

  An optional list of the unique IDs of the Reserved Instance offerings to describe.

  Parameters:
    `reservedInstancesOfferingIds` - An optional list of the unique IDs of the Reserved Instance offerings to describe.

### withReservedInstancesOfferingIds

    public DescribeReservedInstancesOfferingsRequest withReservedInstancesOfferingIds(String... reservedInstancesOfferingIds)

  An optional list of the unique IDs of the Reserved Instance offerings to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservedInstancesOfferingIds` - An optional list of the unique IDs of the Reserved Instance offerings to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withReservedInstancesOfferingIds

    public DescribeReservedInstancesOfferingsRequest withReservedInstancesOfferingIds(Collection<String> reservedInstancesOfferingIds)

  An optional list of the unique IDs of the Reserved Instance offerings to describe.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservedInstancesOfferingIds` - An optional list of the unique IDs of the Reserved Instance offerings to describe.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getInstanceType

    public String getInstanceType()

  The instance type on which the Reserved Instance can be used.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Returns:
    The instance type on which the Reserved Instance can be used.
  See Also:
    `InstanceType`

### setInstanceType

    public void setInstanceType(String instanceType)

  The instance type on which the Reserved Instance can be used.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Parameters:
    `instanceType` - The instance type on which the Reserved Instance can be used.
  See Also:
    `InstanceType`

### withInstanceType

    public DescribeReservedInstancesOfferingsRequest withInstanceType(String instanceType)

  The instance type on which the Reserved Instance can be used.

  Returns a reference to this object so that method calls can be chained together.

  Constraints:
  Allowed Values: m1.small, m1.large, m1.xlarge, m2.xlarge, m2.2xlarge, m2.4xlarge, c1.medium, c1.xlarge, cc1.4xlarge

  Parameters:
    `instanceType` - The instance type on which the Reserved Instance can be used.
  Returns:
    A reference to this updated object so that method calls can be chained together.
  See Also:
    `InstanceType`

### getAvailabilityZone

    public String getAvailabilityZone()

  The Availability Zone in which the Reserved Instance can be used.

  Returns:
    The Availability Zone in which the Reserved Instance can be used.

### setAvailabilityZone

    public void setAvailabilityZone(String availabilityZone)

  The Availability Zone in which the Reserved Instance can be used.

  Parameters:
    `availabilityZone` - The Availability Zone in which the Reserved Instance can be used.

### withAvailabilityZone

    public DescribeReservedInstancesOfferingsRequest withAvailabilityZone(String availabilityZone)

  The Availability Zone in which the Reserved Instance can be used.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `availabilityZone` - The Availability Zone in which the Reserved Instance can be used.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getProductDescription

    public String getProductDescription()

  The Reserved Instance product description.

  Returns:
    The Reserved Instance product description.

### setProductDescription

    public void setProductDescription(String productDescription)

  The Reserved Instance product description.

  Parameters:
    `productDescription` - The Reserved Instance product description.

### withProductDescription

    public DescribeReservedInstancesOfferingsRequest withProductDescription(String productDescription)

  The Reserved Instance product description.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `productDescription` - The Reserved Instance product description.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.